<launch>
    <arg name="load_gripper" default="true" />
    <arg name="arm_id" default="panda" />
    <arg name="controller" value="velocity_control"/>
    <arg name="rviz" default="true"/>
     
    <!-- <env name="ROSCONSOLE_CONFIG_FILE" value="$(find panda_qp_control)/config/rosconsol.conf"/> -->
    <group ns="$(arg arm_id)">
        <rosparam command="load" file="$(find panda_qp_control)/config/velocity_control.yaml" subst_value="true" />
        
        <param name="robot_description"
         command="xacro $(find franka_description)/robots/panda_arm.urdf.xacro
                  gazebo:=true
                  hand:=$(arg load_gripper)
                  arm_id:=$(arg arm_id)">
        </param>
                
        <include file="$(find panda_qp_control)/launch/moveit.launch" >
            <arg name="load_gripper" value="$(arg load_gripper)"/>
            <arg name="arm_id" value="$(arg arm_id)"/>
        </include>
        
        <node if="$(arg rviz)" name="rviz" pkg="rviz"  type="rviz" args="-d $(find panda_qp_control)/launch/robot.rviz"/>

        <node if="$(arg rviz)" name="interactive_marker" pkg="moveit_trajectory_interface"  type="interactive_marker.py"/>
        
        <include file="$(find panda_qp_control)/launch/simulation.launch" >
            <arg name="controller" value="$(arg controller)"/>
            <arg name="load_gripper" value="$(arg load_gripper)"/>
            <arg name="arm_id" value="$(arg arm_id)"/>
            <arg name="headless" value="false"/>
            <arg name="world" value="$(find panda_motion)/launch/test.world"/>
        </include>
    </group>
        
    <node pkg="tf" type="static_transform_publisher" name="tf_publisher" args="0.4 0 0.2 0 0 3.14 /world /object 100"/> 
    
</launch>
